<form autocomplete='off'>
	<div class='sidebar'>
		<h3>Notes</h3>
		<div class='note-container'>
			<ul class='journal-list'>
			{{#each journals}}
			<li data-journal-id='{{id}}' class='{{#if (eq id @root.documentId)}}active{{/if}}'>
				<h4 class='name'>{{name}}</h4>
			</li>
			{{/each}}
			</ul>
		</div>
	</div>

	<div class='main-content'>
		<div class='header'>
			<h3 class='title'>
				{{#if (lt document.data.permission.default 3)}}
				<span class='lock-status locked'><i class='fas fa-lock'></i></span>
				{{else}}
				<span class='lock-status unlocked'><i class='fas fa-unlock'></i></span>
				{{/if}}
				<span class='name' name='name' {{#if document.isOwner}}contenteditable{{/if}}>{{documentName}}</span>
				<span class='id'>{{documentId}}</span>
			</h3>
		</div>

		<div class='note-content'>
			{{#if document}}
			<div class='path'>
				<label>Path:</label>
				<label {{#if document.isOwner}}contenteditable{{/if}} name='path'>/pingu/woo</label>
			</div>

			<div class='editor'>
				<div class='editor-content' {{#if document.isOwner}}data-edit='description'{{/if}}>{{{documentContent}}}</div>
				{{#if document.isOwner}}<a class='editor-edit'><i class='far fa-edit'></i></a>{{/if}}
			</div>
			{{else}}
			<p class='notification'>No document open.</p>
			{{/if}}
		</div>
	</div>

	<footer>
		<button data-action='create-note'>+ Create Note</button>
	</footer>
</form>
